%define upstream_name    Test-Class-Most
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Test Classes the easy way
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Test::Class) >= 0.380.0
BuildRequires: perl(Test::Most) >= 0.310.0
BuildArch:  noarch

%description
When people write test classes with the excellent 'Test::Class', you often
see the following at the top of the code:

  package Some::Test::Class;

  use strict;
  use warnings;
  use base 'My::Test::Class';
  use Test::More;
  use Test::Exception;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.80.0-9.mga9
+ Revision: 1806088
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-8.mga8
+ Revision: 1497336
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.80.0-7.mga7
+ Revision: 1271657
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-6.mga6
+ Revision: 1034164
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.80.0-5.mga6
+ Revision: 938096
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-4.mga5
+ Revision: 745509
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-3.mga5
+ Revision: 686409
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.80.0-2.mga4
+ Revision: 527336
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.80.0-1.mga4
+ Revision: 439927
- update to 0.08

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-2.mga3
+ Revision: 373403
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.70.0-1.mga3
+ Revision: 295185
- update to 0.07

* Mon Jan 09 2012 jquelin <jquelin> 0.60.0-1.mga2
+ Revision: 193955
- imported package perl-Test-Class-Most


* Mon Jan 09 2012 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
